Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.model.impl
Class AbstractSWRLIndividualsAtom

    java.lang.Object
      edu.stanford.smi.protege.model.DefaultFrame
          edu.stanford.smi.protege.model.DefaultInstance
              edu.stanford.smi.protege.model.DefaultSimpleInstance
                  edu.stanford.smi.protegex.owl.model.impl.DefaultRDFIndividual
                      edu.stanford.smi.protegex.owl.model.impl.DefaultOWLIndividual
                          edu.stanford.smi.protegex.owl.swrl.model.impl.AbstractSWRLIndividual
                              edu.stanford.smi.protegex.owl.swrl.model.impl.DefaultSWRLAtom
                                  edu.stanford.smi.protegex.owl.swrl.model.impl.AbstractSWRLIndividualsAtom

All Implemented Interfaces:
  edu.stanford.smi.protege.model.Frame, edu.stanford.smi.protege.model.Instance, edu.stanford.smi.protege.model.Localizable, edu.stanford.smi.protege.model.SimpleInstance, OWLIndividual, ProtegeInstance, RDFIndividual, RDFObject, RDFResource, Visitable, SWRLAtom, SWRLIndividual, SWRLIndividualsAtom, Serializable, Comparable<edu.stanford.smi.protege.model.Frame>

Direct Known Subclasses:
  DefaultSWRLDifferentIndividualsAtom, DefaultSWRLSameIndividualAtom

    public abstract class AbstractSWRLIndividualsAtom

extends DefaultSWRLAtom
implements SWRLIndividualsAtom

See Also:
  Serialized Form

Constructor Summary
`AbstractSWRLIndividualsAtom()`
`AbstractSWRLIndividualsAtom(edu.stanford.smi.protege.model.KnowledgeBase kb, edu.stanford.smi.protege.model.FrameID id)`

Method Summary
`RDFResource` | `getArgument1()`
`RDFResource` | `getArgument2()`
`String` | `getBrowserText()` Gets a human-readable visual representation of this resource.
`protected abstract String` | `getOperatorName()`
`void` | `getReferencedInstances(Set<RDFResource> set)` Collects all instances (SWRLInstances, classes, etc) that are somehow involved in the subexpression below this.
`void` | `setArgument1(RDFResource instance)`
`void` | `setArgument2(RDFResource instance)`

Methods inherited from class edu.stanford.smi.protegex.owl.swrl.model.impl.AbstractSWRLIndividual
`accept`

Methods inherited from class edu.stanford.smi.protegex.owl.model.impl.DefaultOWLIndividual
`equalsStructurally`

Methods inherited from class edu.stanford.smi.protegex.owl.model.impl.DefaultRDFIndividual
`addComment, addDifferentFrom, addIsDefinedBy, addLabel, addPropertyValue, addPropertyValueListener, addProtegeType, addRDFType, addResourceListener, addSameAs, addVersionInfo, as, canAs, getAllValuesFromOnTypes, getComments, getDifferentFrom, getDocumentation, getHasValuesOnTypes, getIcon, getIconLocation, getIconName, getInferredTypes, getIsDefinedBy, getLabels, getLocalName, getNamespace, getNamespacePrefix, getOWLModel, getPossibleRDFProperties, getPrefixedName, getPropertyValue, getPropertyValue, getPropertyValueAs, getPropertyValueCount, getPropertyValueLiteral, getPropertyValueLiterals, getPropertyValues, getPropertyValues, getPropertyValuesAs, getProtegeType, getProtegeTypes, getRDFProperties, getRDFType, getRDFTypes, getReferringAnonymousClasses, getSameAs, getURI, getVersionInfo, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasProtegeType, hasProtegeType, hasRDFType, hasRDFType, isAnonymous, isValidPropertyValue, listPropertyValues, listPropertyValues, listPropertyValuesAs, listRDFTypes, removeComment, removeDifferentFrom, removeIsDefinedBy, removeLabel, removePropertyValue, removePropertyValueListener, removeProtegeType, removeRDFType, removeResourceListener, removeSameAs, removeVersionInfo, setComment, setComments, setDocumentation, setInferredTypes, setPropertyValue, setPropertyValues, setProtegeType, setProtegeTypes, setRDFType, setRDFTypes, toString`

Methods inherited from class edu.stanford.smi.protege.model.DefaultSimpleInstance
`rename`

Methods inherited from class edu.stanford.smi.protege.model.DefaultInstance
`addDirectType, addInstanceListener, copy, deepCopy, getDirectType, getDirectTypes, getOwnFacetValue, getOwnFacetValues, getReachableSimpleInstances, hasDirectType, hasType, moveDirectType, removeDirectType, removeInstanceListener, setDirectType, setDirectTypes, shallowCopy`

Methods inherited from class edu.stanford.smi.protege.model.DefaultFrame
`addFrameListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, assertFrameName, compareTo, delete, equals, equals, getDefaultKnowledgeBase, getDefiningProjectURI, getDirectOwnSlotValue, getDirectOwnSlotValues, getFrameID, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getName, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReferences, getReferences, hashCode, hasOwnSlot, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValid, isValidOwnSlotValue, isVisible, localize, markDeleted, markDeleting, moveDirectOwnSlotValue, removeFrameListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, setSystem, setVisible`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFResource
`addComment, addDifferentFrom, addIsDefinedBy, addLabel, addPropertyValue, addPropertyValueListener, addProtegeType, addRDFType, addResourceListener, addSameAs, addVersionInfo, as, canAs, delete, getAllValuesFromOnTypes, getComments, getDifferentFrom, getHasValuesOnTypes, getIconLocation, getIconName, getInferredTypes, getIsDefinedBy, getLabels, getLocalName, getName, getNamespace, getNamespacePrefix, getOWLModel, getPossibleRDFProperties, getPrefixedName, getPropertyValue, getPropertyValue, getPropertyValueAs, getPropertyValueCount, getPropertyValueLiteral, getPropertyValueLiterals, getPropertyValues, getPropertyValues, getPropertyValuesAs, getProtegeType, getProtegeTypes, getRDFProperties, getRDFType, getRDFTypes, getReferringAnonymousClasses, getSameAs, getURI, getVersionInfo, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasProtegeType, hasProtegeType, hasRDFType, hasRDFType, isAnonymous, isValidPropertyValue, isVisible, listPropertyValues, listPropertyValues, listPropertyValuesAs, listRDFTypes, removeComment, removeDifferentFrom, removeIsDefinedBy, removeLabel, removePropertyValue, removePropertyValueListener, removeProtegeType, removeRDFType, removeResourceListener, removeSameAs, removeVersionInfo, setComment, setComments, setInferredTypes, setPropertyValue, setPropertyValues, setProtegeType, setProtegeTypes, setRDFType, setRDFTypes, setVisible`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeInstance
`addDirectType, addFrameListener, addInstanceListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, copy, deepCopy, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectType, getDirectTypes, getDocumentation, getIcon, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReferences, getReferences, hasDirectType, hasOwnSlot, hasType, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValidOwnSlotValue, markDeleted, markDeleting, removeDirectType, removeFrameListener, removeInstanceListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDirectType, setDirectTypes, setDocumentation, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, shallowCopy`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, getFrameID, isValid, moveDirectOwnSlotValue, rename`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFObject
`equalsStructurally`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.visitor.Visitable
`accept`

Constructor Detail

### AbstractSWRLIndividualsAtom

    public AbstractSWRLIndividualsAtom(edu.stanford.smi.protege.model.KnowledgeBase kb,
                                       edu.stanford.smi.protege.model.FrameID id)

### AbstractSWRLIndividualsAtom

    public AbstractSWRLIndividualsAtom()

Method Detail

### getOperatorName

    protected abstract String getOperatorName()

### getReferencedInstances

    public void getReferencedInstances(Set<RDFResource> set)

  Description copied from interface: `SWRLIndividual`
  Collects all instances (SWRLInstances, classes, etc) that are somehow involved in the subexpression below this.

  Specified by:
    `getReferencedInstances` in interface `SWRLIndividual`
  Specified by:
    `getReferencedInstances` in class `AbstractSWRLIndividual`

### getArgument1

    public RDFResource getArgument1()

  Specified by:
    `getArgument1` in interface `SWRLIndividualsAtom`

### setArgument1

    public void setArgument1(RDFResource instance)

  Specified by:
    `setArgument1` in interface `SWRLIndividualsAtom`

### getArgument2

    public RDFResource getArgument2()

  Specified by:
    `getArgument2` in interface `SWRLIndividualsAtom`

### setArgument2

    public void setArgument2(RDFResource instance)

  Specified by:
    `setArgument2` in interface `SWRLIndividualsAtom`

### getBrowserText

    public String getBrowserText()

  Description copied from interface: `RDFResource`
  Gets a human-readable visual representation of this resource. This is typically just the name of the resource, but for example, with anonymous class expressions this will return the full expression including special symbols.

  Specified by:
    `getBrowserText` in interface `edu.stanford.smi.protege.model.Frame`
  Specified by:
    `getBrowserText` in interface `ProtegeInstance`
  Specified by:
    `getBrowserText` in interface `RDFObject`
  Specified by:
    `getBrowserText` in interface `RDFResource`
  Overrides:
    `getBrowserText` in class `DefaultSWRLAtom`
  Returns:
    the browser text

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.